---
updatedAt: 2026-05-15T19:58:13.000Z
---

# Submit Dynamic Application

Abrigo's API supports submitting a Dynamic Application on behalf of borrowers. Please note that this path should be used sparingly for clearly defined use-cases.

Use`GET /v1/loan-applications `to derive the ID of the application to submit. This ID can also be derived from prior payloads if creating applications via API. Some available parameters for this endpoint are as follows:

* customerId
* proposedLoanId
* loanApplicationNumber
* crmIdentifier
* createdDate(s)

Once the application ID is retrieved, use `POST /v1/loan-applications/submit-by-id`to submit the application.

```Text Request Body
{
  "id": 1693699
}
```
```Text Response
{
  "id": 1693699,
  "applicationNumber": 115,
  "createdDate": "2026-05-15",
  "lastModifiedDate": "2026-05-15",
  "submittedDate": "2026-05-15",
  "type": "business",
  "isDynamicApplication": true,
  "agreedToTerms": false,
  "agreedToTermsDate": null,
  "agreedToTermsUsername": null,
  "applicationStatus": "applicationComplete",
  "lockedDate": null,
  "bankLoanOfficerID": 478882,
  "crmIdentifier": null,
  "customerGroupId": 153978420,
  "applicationTemplateId": 234
}
```

<br />